﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Drawing;

namespace _8744
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            InMemoryFeatureLayer layer = new InMemoryFeatureLayer();


            LayerOverlay layerOverlay = new LayerOverlay();

            layerOverlay.Layers.Add(layer);
            map.Overlays.Add(layerOverlay);

            map.CurrentExtent = new RectangleShape(-20, 20, 20, -20);
            map.Refresh();
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            InMemoryFeatureLayer layer = (map.Overlays[0] as LayerOverlay).Layers[0] as InMemoryFeatureLayer;
            layer.InternalFeatures.Clear();

            Feature f1 = new Feature(0, 0);
            f1.ColumnValues.Add("label", text1.Text);

            layer.InternalFeatures.Add(f1);

            layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = new TextStyle("label", new GeoFont("arial", 20, DrawingFontStyles.Bold), new GeoSolidBrush(GeoColors.Red));
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            map.Refresh();
        }
    }
}
